View Issue Details

IDProjectCategoryView StatusLast Update
0000257luatexfeature requestpublic2009-12-18 11:07
ReporterHans HagenAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version0.47.0Fixed in Version0.47.0 
Summary0000257: attributes in relation to linebreaks
Descriptionthe par builder assigns attributes to hlists (and glue/kern/...) nodes but they are also assigned 'out of range'; in the following example attribute 999 bleeds to [before]

(for taco: when dealing with for instance color, this is intercepted in the backend code as only glyphs and rules are looked at, but with for instance area bound features like layers and links it gets nasty)
Steps To Reproduce\usemodule[tra-01]

\ctxlua{nodes.show_postbreak_attributes(999)}

\startnarrower \relax
    [before] {\attribute999=1 \dorecurse{30}{one }\par\dorecurse{30}{two }\par\dorecurse{30}{three }} [after] \par
\stopnarrower

\ctxlua{nodes.show_postbreak_attributes()}
TagsNo tags attached.

Activities

Taco

2009-12-02 12:11

administrator   ~0000364

Commit #3211-#3212 adds the correct attributes to the inline nodes that are generated during the actual line breaking:

* left skip (from first line node)
* right skip (from last line node)
* direction nodes (left and right)
* margin kerns (left and right)

For the moment, generated vertical nodes retain the attribute setttings that were valid at the moment \par was seen (line boxes, line skip, penalty).

Also, any local left/right boxes are copied as-is.

Taco

2009-12-10 11:03

administrator   ~0000372

assuming this is ok for now

Issue History

Date Modified Username Field Change
2009-08-11 12:44 Hans Hagen New Issue
2009-08-13 13:06 Taco Status new => assigned
2009-08-13 13:06 Taco Assigned To => Taco
2009-12-02 12:11 Taco Note Added: 0000364
2009-12-02 12:14 Taco Status assigned => feedback
2009-12-02 14:24 Taco Target Version => 0.50.0
2009-12-10 11:03 Taco Status feedback => resolved
2009-12-10 11:03 Taco Resolution open => fixed
2009-12-10 11:03 Taco Note Added: 0000372
2009-12-18 11:06 Taco Target Version 0.50.0 => 0.47.0
2009-12-18 11:06 Taco Fixed in Version => 0.47.0
2009-12-18 11:07 Taco Status resolved => closed